import { PreprocessorGroup } from 'svelte/types/compiler/preprocess';
import { UserConfig } from '@unocss/core';

interface SveltePreprocessUnocssOptions {
    /**
   * Prefix for compiled class name
   * @default 'uno-'
   */
    classPrefix?: string;
    /**
     * Hash function
     */
    hashFn?: (str: string) => string;
    /**
  * Run @unocss/transformer-directives on style blocks
  * @default true
  */
    transformDirectives?: boolean;
}
declare function SveltePreprocessUnocss({ configOrPath, options, }: {
    configOrPath?: UserConfig | string;
    options: SveltePreprocessUnocssOptions;
}): PreprocessorGroup;

export { SveltePreprocessUnocssOptions, SveltePreprocessUnocss as default };
